OpenNMS API 1.2.9

## org.opennms.netmgt.notifd.mock
Class MockNotificationStrategy

    java.lang.Object
      org.opennms.netmgt.notifd.mock.MockNotificationStrategy

All Implemented Interfaces:
  NotificationStrategy

public class MockNotificationStrategy
extends java.lang.Object
implements NotificationStrategy

Author:
  david TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`(package private) java.util.Map` `notificationsSent`
`private static NotificationAnticipator` `s_anticpator`

Constructor Summary
`MockNotificationStrategy()`

Method Summary
`static NotificationAnticipator` `getAnticpator()`
`int` `send(java.util.List arguments)`
`static void` `setAnticpator(NotificationAnticipator anticpator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s_anticpator

    private static NotificationAnticipator s_anticpator

### notificationsSent

    java.util.Map notificationsSent

Constructor Detail

### MockNotificationStrategy

    public MockNotificationStrategy()

Method Detail

### send

    public int send(java.util.List arguments)

  Specified by:
    `send` in interface `NotificationStrategy`

### getAnticpator

    public static NotificationAnticipator getAnticpator()

### setAnticpator

    public static void setAnticpator(NotificationAnticipator anticpator)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.